com.pivotal.gemfirexd.internal.client.net

## Class SingleHopResultSet40

- java.lang.Object
- - com.pivotal.gemfirexd.internal.client.net.SingleHopResultSet
  - - com.pivotal.gemfirexd.internal.client.net.SingleHopResultSet40

All Implemented Interfaces:
  AutoCloseable, ResultSet, Wrapper

    public class SingleHopResultSet40
    extends SingleHopResultSet

### Field Summary

### Fields inherited from class com.pivotal.gemfirexd.internal.client.net.SingleHopResultSet

`currentResultSet`

### Fields inherited from interface java.sql.ResultSet

`CLOSE_CURSORS_AT_COMMIT, CONCUR_READ_ONLY, CONCUR_UPDATABLE, FETCH_FORWARD, FETCH_REVERSE, FETCH_UNKNOWN, HOLD_CURSORS_OVER_COMMIT, TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, TYPE_SCROLL_SENSITIVE`

### Constructor Summary

Constructors
Constructor and Description
`SingleHopResultSet40(ResultSet nrs0, PreparedStatement[] psarray, NetConnection.DSConnectionInfo dsConnInfo)`

### Method Summary

Methods
`int` `getHoldability()`
`Reader` `getNCharacterStream(int columnIndex)`
`Reader` `getNCharacterStream(String columnLabel)`
`NClob` `getNClob(int columnIndex)`
`NClob` `getNClob(String columnLabel)`
`String` `getNString(int columnIndex)`
`String` `getNString(String columnLabel)`
`<T> T` `getObject(int columnIndex, Class<T> type)`
`<T> T` `getObject(String columnLabel, Class<T> type)`
`RowId` `getRowId(int columnIndex)`
`RowId` `getRowId(String columnLabel)`
`SQLXML` `getSQLXML(int columnIndex)`
`SQLXML` `getSQLXML(String columnLabel)`
`boolean` `isClosed()`
`boolean` `isWrapperFor(Class<?> iface)`
`<T> T` `unwrap(Class<T> iface)`
`void` `updateNCharacterStream(int columnIndex, Reader x, long length)`
`void` `updateNCharacterStream(String columnLabel, Reader reader, long length)`
`void` `updateNClob(int columnIndex, NClob nClob)`
`void` `updateNClob(int columnIndex, Reader reader, long length)`
`void` `updateNClob(String columnLabel, NClob nClob)`
`void` `updateNClob(String columnLabel, Reader reader, long length)`
`void` `updateNString(int columnIndex, String nString)`
`void` `updateNString(String columnLabel, String nString)`
`void` `updateRowId(int columnIndex, RowId x)`
`void` `updateRowId(String columnLabel, RowId x)`
`void` `updateSQLXML(int columnIndex, SQLXML xmlObject)`
`void` `updateSQLXML(String columnLabel, SQLXML xmlObject)`

### Methods inherited from class com.pivotal.gemfirexd.internal.client.net.SingleHopResultSet

`absolute, afterLast, beforeFirst, cancelRowUpdates, clearWarnings, close, deleteRow, findColumn, first, getArray, getArray, getAsciiStream, getAsciiStream, getBigDecimal, getBigDecimal, getBigDecimal, getBigDecimal, getBinaryStream, getBinaryStream, getBlob, getBlob, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getCharacterStream, getCharacterStream, getClob, getClob, getConcurrency, getCursorName, getDate, getDate, getDate, getDate, getDouble, getDouble, getFetchDirection, getFetchSize, getFinalizer, getFloat, getFloat, getInt, getInt, getLong, getLong, getMetaData, getObject, getObject, getObject, getObject, getPreparedStatements, getRef, getRef, getRow, getShort, getShort, getStatement, getString, getString, getTime, getTime, getTime, getTime, getTimestamp, getTimestamp, getTimestamp, getTimestamp, getType, getUnicodeStream, getUnicodeStream, getURL, getURL, getWarnings, insertRow, isAfterLast, isBeforeFirst, isFirst, isLast, last, moveToCurrentRow, moveToInsertRow, next, previous, refreshRow, relative, rowDeleted, rowInserted, rowUpdated, setFetchDirection, setFetchSize, updateArray, updateArray, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateBigDecimal, updateBigDecimal, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBlob, updateBlob, updateBlob, updateBlob, updateBlob, updateBlob, updateBoolean, updateBoolean, updateByte, updateByte, updateBytes, updateBytes, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateClob, updateClob, updateClob, updateClob, updateClob, updateClob, updateDate, updateDate, updateDouble, updateDouble, updateFloat, updateFloat, updateInt, updateInt, updateLong, updateLong, updateNCharacterStream, updateNCharacterStream, updateNClob, updateNClob, updateNull, updateNull, updateObject, updateObject, updateObject, updateObject, updateRef, updateRef, updateRow, updateShort, updateShort, updateString, updateString, updateTime, updateTime, updateTimestamp, updateTimestamp, wasNull`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SingleHopResultSet40

    public SingleHopResultSet40(ResultSet nrs0,
                        PreparedStatement[] psarray,
                        NetConnection.DSConnectionInfo dsConnInfo)

### Method Detail

#### getRowId

    public RowId getRowId(int columnIndex)
                   throws SQLException

Throws:
  `SQLException`

#### getRowId

    public RowId getRowId(String columnLabel)
                   throws SQLException

Throws:
  `SQLException`

#### updateRowId

    public void updateRowId(int columnIndex,
                   RowId x)
                     throws SQLException

Throws:
  `SQLException`

#### updateRowId

    public void updateRowId(String columnLabel,
                   RowId x)
                     throws SQLException

Throws:
  `SQLException`

#### updateNString

    public void updateNString(int columnIndex,
                     String nString)
                       throws SQLException

Throws:
  `SQLException`

#### updateNString

    public void updateNString(String columnLabel,
                     String nString)
                       throws SQLException

Throws:
  `SQLException`

#### updateNClob

    public void updateNClob(int columnIndex,
                   NClob nClob)
                     throws SQLException

Throws:
  `SQLException`

#### updateNClob

    public void updateNClob(String columnLabel,
                   NClob nClob)
                     throws SQLException

Throws:
  `SQLException`

#### getNClob

    public NClob getNClob(int columnIndex)
                   throws SQLException

Throws:
  `SQLException`

#### getNClob

    public NClob getNClob(String columnLabel)
                   throws SQLException

Throws:
  `SQLException`

#### getSQLXML

    public SQLXML getSQLXML(int columnIndex)
                     throws SQLException

Throws:
  `SQLException`

#### getSQLXML

    public SQLXML getSQLXML(String columnLabel)
                     throws SQLException

Throws:
  `SQLException`

#### updateSQLXML

    public void updateSQLXML(int columnIndex,
                    SQLXML xmlObject)
                      throws SQLException

Throws:
  `SQLException`

#### updateSQLXML

    public void updateSQLXML(String columnLabel,
                    SQLXML xmlObject)
                      throws SQLException

Throws:
  `SQLException`

#### getNString

    public String getNString(int columnIndex)
                      throws SQLException

Throws:
  `SQLException`

#### getNString

    public String getNString(String columnLabel)
                      throws SQLException

Throws:
  `SQLException`

#### getNCharacterStream

    public Reader getNCharacterStream(int columnIndex)
                               throws SQLException

Throws:
  `SQLException`

#### getNCharacterStream

    public Reader getNCharacterStream(String columnLabel)
                               throws SQLException

Throws:
  `SQLException`

#### updateNCharacterStream

    public void updateNCharacterStream(int columnIndex,
                              Reader x,
                              long length)
                                throws SQLException

Throws:
  `SQLException`

#### updateNCharacterStream

    public void updateNCharacterStream(String columnLabel,
                              Reader reader,
                              long length)
                                throws SQLException

Throws:
  `SQLException`

#### updateNClob

    public void updateNClob(int columnIndex,
                   Reader reader,
                   long length)
                     throws SQLException

Specified by:
  `updateNClob` in interface `ResultSet`
Overrides:
  `updateNClob` in class `SingleHopResultSet`
Throws:
  `SQLException`

#### updateNClob

    public void updateNClob(String columnLabel,
                   Reader reader,
                   long length)
                     throws SQLException

Specified by:
  `updateNClob` in interface `ResultSet`
Overrides:
  `updateNClob` in class `SingleHopResultSet`
Throws:
  `SQLException`

#### unwrap

    public <T> T unwrap(Class<T> iface)
             throws SQLException

Throws:
  `SQLException`

#### isWrapperFor

    public boolean isWrapperFor(Class<?> iface)
                         throws SQLException

Throws:
  `SQLException`

#### getObject

    public <T> T getObject(int columnIndex,
                  Class<T> type)
                throws SQLException

Throws:
  `SQLException`

#### getObject

    public <T> T getObject(String columnLabel,
                  Class<T> type)
                throws SQLException

Throws:
  `SQLException`

#### getHoldability

    public int getHoldability()
                       throws SQLException

Throws:
  `SQLException`

#### isClosed

    public boolean isClosed()
                     throws SQLException

Throws:
  `SQLException`